--- authconfig.tip.ca_vell.po	2009-03-03 15:32:52.000000000 +0100
+++ authconfig.tip.ca.po	2009-03-03 15:36:14.000000000 +0100
@@ -2,30 +2,30 @@
 # Copyright (C) 2004-8 Free Software Foundation
 # This file is distributed under the same license as the authconfig package.
 # Xavier Conde Rueda <xavi.conde@gmail.com>, 2004-8.
-#
 # This file is translated according to the glossary and style guide of
-#   Softcatalà. If you plan to modify this file, please read first the page
-#   of the Catalan translation team for the Fedora project at:
-#   http://www.softcatala.org/projectes/fedora/
-#   and contact the previous translator.
-#
+# Softcatalà. If you plan to modify this file, please read first the page
+# of the Catalan translation team for the Fedora project at:
+# http://www.softcatala.org/projectes/fedora/
+# and contact the previous translator.
 # Aquest fitxer s'ha de traduir d'acord amb el recull de termes i la guia
-#   d'estil de Softcatalà. Si voleu modificar aquest fitxer, llegiu si
-#   us plau la pàgina de catalanització del projecte Fedora a:
-#   http://www.softcatala.org/projectes/fedora/
-#   i contacteu l'anterior traductor/a.
-#
+# d'estil de Softcatalà. Si voleu modificar aquest fitxer, llegiu si
+# us plau la pàgina de catalanització del projecte Fedora a:
+# http://www.softcatala.org/projectes/fedora/
+# i contacteu l'anterior traductor/a.
+# Xavier Conde Rueda <xavi.conde@gmail.com>, 2009.
+# 
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: authconfig\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2009-03-03 02:12+0000\n"
-"PO-Revision-Date: 2008-09-21 23:20+0100\n"
-"Last-Translator: Xavier Conde Rueda <xavi.conde@gmail.com>\n"
-"Language-Team: Catalan <fedora@softcatala.net>\n"
+"PO-Revision-Date: 2009-03-03 14:56+0100\n"
+"Last-Translator:  <>\n"
+"Language-Team: \n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
+"Content-Type: text/plain; charset=\n"
+"Content-Transfer-Encoding: "
 
 #: ../authconfig.py:80
 #, python-format
@@ -150,14 +150,12 @@
 msgstr "acció a realitzar en treure la targeta intel·ligent"
 
 #: ../authconfig.py:141
-#, fuzzy
 msgid "enable authentication with fingerprint readers by default"
-msgstr "habilita l'autenticació amb targeta intel·ligent per defecte"
+msgstr "habilita l'autenticació amb empremta digital per defecte"
 
 #: ../authconfig.py:143
-#, fuzzy
 msgid "disable authentication with fingerprint readers by default"
-msgstr "inhabilita l'autenticació amb targeta intel·ligent per defecte"
+msgstr "inhabilita l'autenticació amb empremta digital per defecte"
 
 #: ../authconfig.py:146
 msgid "enable kerberos authentication by default"
@@ -490,9 +488,8 @@
 msgstr "memòria cau"
 
 #: ../authconfig.py:490
-#, fuzzy
 msgid "Fingerprint reader"
-msgstr "Habilita el _Winbind"
+msgstr "Lector d'empremtes digitals"
 
 #: ../authconfig.py:491
 msgid "Kerberos"
@@ -568,7 +565,7 @@
 
 #: ../authconfig.py:545
 msgid "Use Fingerprint reader"
-msgstr ""
+msgstr "Fes servir el lector d'empremtes digitals"
 
 #: ../authconfig.py:550
 msgid "Use Winbind Authentication"
@@ -747,7 +744,7 @@
 
 #: ../authconfig.glade.h:2
 msgid "<b>Fingerprint Reader</b>"
-msgstr ""
+msgstr "<b>Lector d'empremtes digitals</b>"
 
 #: ../authconfig.glade.h:3
 msgid "<b>Options</b>"
@@ -835,9 +832,8 @@
 msgstr "Descarrega el certificat CA"
 
 #: ../authconfig.glade.h:24
-#, fuzzy
 msgid "Enable _Fingerprint Reader Support"
-msgstr "Habilita el _Winbind"
+msgstr "Habilita el _suport de lectura d'empremtes digitals"
 
 #: ../authconfig.glade.h:25
 msgid "Enable _Hesiod Support"
@@ -864,13 +860,11 @@
 msgstr "Habilita el _Winbind"
 
 #: ../authconfig.glade.h:31
-#, fuzzy
 msgid ""
 "Fingerprint authentication allows you to log in by scanning your finger with "
 "the fingerprint reader."
 msgstr ""
-"L'autenticació de targeta intel·ligent us permet entrar fent servir un "
-"certificat i una clau associada a una targeta intel·ligent."
+"L'autenticació per empremta digital us permet entrar amb l'escaneig del dit amb el lector d'empremtes digitals."
 
 #: ../authconfig.glade.h:32
 msgid ""
@@ -1007,7 +1001,7 @@
 msgid ""
 "Use Transport Layer Security extension for LDAP as defined by RFC-2830. It "
 "must not be ticked with ldaps server URI."
-msgstr ""
+msgstr "Fes servir l'extensió de seguretat de capa de transport per a LDAP tal com es troba definit per RFC-2830. No ha d'estar etiquetat amb el servidor URI de ldaps."
 
 #: ../authconfig.glade.h:60
 msgid "Use _DNS to resolve hosts to realms"