--- pulseaudio.master-tx.ca.modificat2.po	2009-02-11 23:27:07.000000000 +0100
+++ pulseaudio.xc.master-tx.ca.modificat2.po	2009-02-13 21:44:26.000000000 +0100
@@ -20,7 +20,7 @@
 "Project-Id-Version: pulseaudio\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-11-08 01:48+0000\n"
-"PO-Revision-Date: 2009-02-11 23:27+0100\n"
+"PO-Revision-Date: 2009-02-13 23:27+0100\n"
 "Last-Translator: Agusti Grau <fletxa@gmail.com>\n"
 "Language-Team: Catalan <fedora@softcatala.net>\n"
 "MIME-Version: 1.0\n"
@@ -29,7 +29,6 @@
 
 #: ../src/daemon/ltdl-bind-now.c:177
 #: ../src/daemon/ltdl-bind-now.c:197
-#, fuzzy
 msgid "Failed to add bind-now-loader."
 msgstr "S'ha produït un error en afegir bind-now-loader."
 
@@ -265,9 +264,8 @@
 msgstr "S'està executant en mode sistema, però no s'ha especificat la opció --disallow-module-loading."
 
 #: ../src/daemon/main.c:645
-#, fuzzy
 msgid "Running in system mode, forcibly disabling SHM mode!"
-msgstr "S'està executant en mode sistema, es deshabilitarà el mode SHM forçosament.54"
+msgstr "S'està executant en mode sistema, es deshabilitarà el mode SHM forçosament."
 
 #: ../src/daemon/main.c:650
 msgid "Running in system mode, forcibly disabling exit idle time!"
@@ -618,12 +616,12 @@
 #: ../src/daemon/daemon-conf.c:205
 #, c-format
 msgid "[%s:%u] Invalid log target '%s'."
-msgstr "[%s:%u] Destí de log incorrecte '%s'"
+msgstr "[%s:%u] Destí de registre incorrecte '%s'"
 
 #: ../src/daemon/daemon-conf.c:221
 #, c-format
 msgid "[%s:%u] Invalid log level '%s'."
-msgstr "[%s:%u] Nivell de log incorrecte '%s'."
+msgstr "[%s:%u] Nivell de registre incorrecte '%s'."
 
 #: ../src/daemon/daemon-conf.c:237
 #, c-format
@@ -638,7 +636,7 @@
 #: ../src/daemon/daemon-conf.c:267
 #, c-format
 msgid "[%s:%u] rlimit not supported on this platform."
-msgstr "[%s:%u] rlimit no suportat en aquesta plataforma."
+msgstr "[%s:%u] rlimit no disponible en aquesta plataforma."
 
 #: ../src/daemon/daemon-conf.c:283
 #, c-format
@@ -658,7 +656,7 @@
 #: ../src/daemon/daemon-conf.c:337
 #, c-format
 msgid "[%s:%u] Invalid number of fragments '%s'."
-msgstr "[%s:%u] Número de fragments incorrecte '%s'."
+msgstr "[%s:%u] Nombre de fragments incorrecte '%s'."
 
 #: ../src/daemon/daemon-conf.c:355
 #, c-format
@@ -682,11 +680,11 @@
 
 #: ../src/daemon/caps.c:63
 msgid "Dropping root priviliges."
-msgstr "Lliberant privilegis de root."
+msgstr "Alliberant privilegis de root."
 
 #: ../src/daemon/caps.c:103
 msgid "Limited capabilities successfully to CAP_SYS_NICE."
-msgstr "S'han limitat les capacitats cap a CAP_SYS_NICE amb éxit."
+msgstr "S'han limitat les capacitats a CAP_SYS_NICE correctament."
 
 #: ../src/pulse/channelmap.c:102
 msgid "Mono"
@@ -694,53 +692,47 @@
 
 #: ../src/pulse/channelmap.c:104
 msgid "Front Center"
-msgstr "Frontal Central"
+msgstr "Frontal central"
 
 #: ../src/pulse/channelmap.c:105
-#, fuzzy
 msgid "Front Left"
-msgstr "Frontal Esquerra"
+msgstr "Frontal esquerra"
 
 #: ../src/pulse/channelmap.c:106
-#, fuzzy
 msgid "Front Right"
-msgstr "Frontal Dreta"
+msgstr "Frontal dreta"
 
 #: ../src/pulse/channelmap.c:108
-#, fuzzy
 msgid "Rear Center"
-msgstr "Posterior Central"
+msgstr "Posterior central"
 
 #: ../src/pulse/channelmap.c:109
-#, fuzzy
 msgid "Rear Left"
-msgstr "Posterior Esquerra"
+msgstr "Posterior esquerra"
 
 #: ../src/pulse/channelmap.c:110
-#, fuzzy
 msgid "Rear Right"
-msgstr "Posterior Dreta"
+msgstr "Posterior dreta"
 
 #: ../src/pulse/channelmap.c:112
-#, fuzzy
 msgid "Low Frequency Emmiter"
-msgstr "Emisor de Baixa Freqüència"
+msgstr "Emisor de baixa freqüència"
 
 #: ../src/pulse/channelmap.c:114
 msgid "Front Left-of-center"
-msgstr "Frontal Central part esquerra"
+msgstr "Frontal central part esquerra"
 
 #: ../src/pulse/channelmap.c:115
 msgid "Front Right-of-center"
-msgstr "Frontal Central part dreta"
+msgstr "Frontal central part dreta"
 
 #: ../src/pulse/channelmap.c:117
 msgid "Side Left"
-msgstr "Lateral Esquerra"
+msgstr "Lateral esquerra"
 
 #: ../src/pulse/channelmap.c:118
 msgid "Side Right"
-msgstr "Lateral Dreta"
+msgstr "Lateral dreta"
 
 #: ../src/pulse/channelmap.c:120
 msgid "Auxiliary 0"
@@ -872,31 +864,31 @@
 
 #: ../src/pulse/channelmap.c:153
 msgid "Top Center"
-msgstr "Superior Central"
+msgstr "Superior central"
 
 #: ../src/pulse/channelmap.c:155
 msgid "Top Front Center"
-msgstr "Superior Frontal Central"
+msgstr "Superior frontal central"
 
 #: ../src/pulse/channelmap.c:156
 msgid "Top Front Left"
-msgstr "Superior Frontal Central"
+msgstr "Superior frontal central"
 
 #: ../src/pulse/channelmap.c:157
 msgid "Top Front Right"
-msgstr "Superior Frontal Dreta"
+msgstr "Superior frontal dreta"
 
 #: ../src/pulse/channelmap.c:159
 msgid "Top Rear Center"
-msgstr "Superior Posterior Central"
+msgstr "Superior posterior central"
 
 #: ../src/pulse/channelmap.c:160
 msgid "Top Rear Left"
-msgstr "Superior Posterior Esquerra"
+msgstr "Superior posterior esquerra"
 
 #: ../src/pulse/channelmap.c:161
 msgid "Top Rear Right"
-msgstr "Superior Posterior Dreta"
+msgstr "Superior posterior dreta"
 
 #: ../src/pulse/channelmap.c:472
 #: ../src/pulse/sample.c:144
@@ -915,7 +907,7 @@
 
 #: ../src/pulse/error.c:45
 msgid "Unknown command"
-msgstr "Comanda desconeguda"
+msgstr "Ordre desconeguda"
 
 #: ../src/pulse/error.c:46
 msgid "Invalid argument"
@@ -923,15 +915,15 @@
 
 #: ../src/pulse/error.c:47
 msgid "Entity exists"
-msgstr "La entitat existeix"
+msgstr "L'entitat existeix"
 
 #: ../src/pulse/error.c:48
 msgid "No such entity"
-msgstr "No existeix la entitat"
+msgstr "No existeix l'entitat"
 
 #: ../src/pulse/error.c:49
 msgid "Connection refused"
-msgstr "S'ha refusat fa connexió"
+msgstr "S'ha refusat la connexió"
 
 #: ../src/pulse/error.c:50
 msgid "Protocol error"
@@ -942,7 +934,6 @@
 msgstr "S'ha esgotat el temps"
 
 #: ../src/pulse/error.c:52
-#, fuzzy
 msgid "No authorization key"
 msgstr "No s'ha trobat la clau d'autorització"
 
@@ -956,7 +947,7 @@
 
 #: ../src/pulse/error.c:55
 msgid "Entity killed"
-msgstr "S'ha matat la entitat"
+msgstr "S'ha matat l'entitat"
 
 #: ../src/pulse/error.c:56
 msgid "Invalid server"
@@ -984,16 +975,15 @@
 
 #: ../src/pulse/error.c:62
 msgid "Not supported"
-msgstr "No suportat"
+msgstr "No disponible"
 
 #: ../src/pulse/error.c:63
 msgid "Unknown error code"
 msgstr "Codi d'error desconegut"
 
 #: ../src/pulse/error.c:64
-#, fuzzy
 msgid "No such extension"
-msgstr "No existeix la extensió"
+msgstr "No existeix l'extensió"
 
 #: ../src/pulse/client-conf-x11.c:55
 #: ../src/utils/pax11publish.c:100
@@ -1041,7 +1031,7 @@
 #: ../src/utils/pacat.c:141
 #, c-format
 msgid "Buffer overrun, dropping incoming data\n"
-msgstr "Sobrecàrrega del búffer, s'estan descartant les dades entrants\n"
+msgstr "S'ha sobrepassat la memòria intermitja, s'estan descartant les dades entrants\n"
 
 #: ../src/utils/pacat.c:143
 #, c-format
@@ -1051,7 +1041,7 @@
 #: ../src/utils/pacat.c:169
 #, c-format
 msgid "Stream successfully created.\n"
-msgstr "Stream creat amb éxit.\n"
+msgstr "Flux creat amb éxit.\n"
 
 #: ../src/utils/pacat.c:172
 #, c-format
@@ -1061,27 +1051,27 @@
 #: ../src/utils/pacat.c:176
 #, c-format
 msgid "Buffer metrics: maxlength=%u, tlength=%u, prebuf=%u, minreq=%u\n"
-msgstr "Mètriques del búffer: maxlength=%u, tlength=%u, prebuf=%u, minreq=%u\n"
+msgstr "Mètriques del buffer: maxlength=%u, tlength=%u, prebuf=%u, minreq=%u\n"
 
 #: ../src/utils/pacat.c:179
 #, c-format
 msgid "Buffer metrics: maxlength=%u, fragsize=%u\n"
-msgstr "Mètriques del búffer: maxlength=%u, fragsize=%u\n"
+msgstr "Mètriques del buffer: maxlength=%u, fragsize=%u\n"
 
 #: ../src/utils/pacat.c:183
 #, c-format
 msgid "Using sample spec '%s', channel map '%s'.\n"
-msgstr "S'estan utilitzant les especificacions de mostreig '%s', mapejat del canal '%s'.\n"
+msgstr "S'estan utilitzant les especificacions de mostreig '%s', mapeig del canal '%s'.\n"
 
 #: ../src/utils/pacat.c:187
-#, fuzzy, c-format
+#, c-format
 msgid "Connected to device %s (%u, %ssuspended).\n"
 msgstr "S'ha connectat al dispositiu %s (%u, %s suspés).\n"
 
 #: ../src/utils/pacat.c:197
 #, c-format
 msgid "Stream error: %s\n"
-msgstr "S'ha produït un error en l'stream: %s\n"
+msgstr "S'ha produït un error en el flux: %s\n"
 
 #: ../src/utils/pacat.c:207
 #, c-format
@@ -1096,7 +1086,7 @@
 #: ../src/utils/pacat.c:217
 #, c-format
 msgid "Stream underrun.%s \n"
-msgstr "Dades insuficients al flux .%s\n"
+msgstr "Dades insuficients al flux.%s\n"
 
 #: ../src/utils/pacat.c:224
 #, c-format
@@ -1106,7 +1096,7 @@
 #: ../src/utils/pacat.c:231
 #, c-format
 msgid "Stream started.%s \n"
-msgstr "S'ha iniciat l'stream.%s\n"
+msgstr "S'ha iniciat el flux.%s\n"
 
 #: ../src/utils/pacat.c:238
 #, c-format
@@ -1155,7 +1145,7 @@
 #: ../src/utils/paplay.c:80
 #, c-format
 msgid "Playback stream drained.\n"
-msgstr "Stream de reproducció drenat.\n"
+msgstr "Flux de reproducció drenat.\n"
 
 #: ../src/utils/pacat.c:343
 #: ../src/utils/paplay.c:92