--- fr_FR.po	2006-12-13 02:16:04.000000000 +0100
+++ fr.po	2007-03-29 23:15:53.000000000 +0200
@@ -1,184 +1,166 @@
-# translation of fr.po to French
-# Thomas Canniot <thomas.canniot@laposte.net>, 2006.
 msgid ""
 msgstr ""
-"Project-Id-Version: fr\n"
-"POT-Creation-Date: 2006-12-12 19:36-0500\n"
-"PO-Revision-Date: 2006-12-12 19:41-0500\n"
-"Last-Translator: Thomas Canniot <thomas.canniot@laposte.net>\n"
-"Language-Team: French\n"
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2007-03-29 23:11+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: KBabel 1.11.4\n"
 
-#: ../en_US/homepage.xml:8(title)
-#, fuzzy
-msgid "Welcome to Fedora Core 6!"
-msgstr "Bienvenue sur Fedora Core"
+#: en_US/rpm-info.xml:11(rights) 
+msgid "OPL"
+msgstr ""
 
-#: ../en_US/homepage.xml:9(para)
-msgid ""
-"This page is where you can learn more about Fedora and the Fedora Project in "
-"general. Use the resources listed here to get started with this release, and "
-"to find solutions to common problems you might encounter."
+#: en_US/rpm-info.xml:12(version) 
+msgid "1.0"
 msgstr ""
 
-#: ../en_US/homepage.xml:14(para)
-msgid ""
-"Documents that are not stored on your system and require a connection to the "
-"Internet are marked with the following icon: <placeholder-1/>"
+#: en_US/rpm-info.xml:15(year) 
+msgid "2006"
 msgstr ""
 
-#: ../en_US/homepage.xml:18(para)
-msgid ""
-"This page is available in <ulink url=\"index-pt_BR.html\">Brazilian "
-"Portuguese</ulink>, <ulink url=\"index-el.html\">Greek</ulink>, <ulink url="
-"\"index-it.html\">Italian</ulink>, <ulink url=\"index-pl.html\">Polish</"
-"ulink>, <ulink url=\"index-pt.html\">Portuguese</ulink>, <ulink url=\"index-"
-"ru.html\">Russian</ulink>, <ulink url=\"index-zh_CN.html\">Simplified "
-"Chinese</ulink>, <ulink url=\"index-es.html\">Spanish</ulink>, <ulink url="
-"\"index-sv.html\">Swedish</ulink>, and <ulink url=\"index-en_US.html\">US "
-"English</ulink>."
+#: en_US/rpm-info.xml:16(holder) 
+msgid "Red Hat, Inc. and others"
+msgstr ""
+
+#: en_US/rpm-info.xml:18(title) 
+msgid "Fedora Homepage"
+msgstr ""
+
+#: en_US/rpm-info.xml:19(desc) 
+msgid "Web browser local home page"
+msgstr ""
+
+#: en_US/rpm-info.xml:23(details) 
+msgid "Revise distro name and link content"
+msgstr ""
+
+#: en_US/rpm-info.xml:29(details) 
+msgid "Break into independent module"
+msgstr ""
+
+#: en_US/rpm-info.xml:33(details) 
+msgid "Final release version (FC-6)"
+msgstr ""
+
+#: en_US/homepage.xml:8(title) 
+msgid "Welcome to Fedora!"
+msgstr ""
+
+#: en_US/homepage.xml:9(para) 
+msgid "This page is where you can learn more about Fedora and the Fedora Project in general. Use the resources listed here to get started with this release, and to find solutions to common problems you might encounter."
+msgstr ""
+
+#: en_US/homepage.xml:14(para) 
+msgid "Documents that are not stored on your system and require a connection to the Internet are marked with the following icon: <placeholder-1/>"
+msgstr ""
+
+#: en_US/homepage.xml:18(para) 
+msgid "This page is available in the following languages:"
+msgstr ""
+
+#. Next para does not need to be translated.
+#: en_US/homepage.xml:20(para) 
+msgid "<ulink url=\"index-pt_BR.html\">português brasileiro</ulink>, <ulink url=\"index-el.html\">Ελληνικά</ulink>, <ulink url=\"index-it.html\">italiano</ulink>, <ulink url=\"index-pl.html\">Polski</ulink>, <ulink url=\"index-pt.html\">português</ulink>, <ulink url=\"index-ru.html\">Pyccĸий</ulink>, <ulink url=\"index-zh_CN.html\">简体中文</ulink>, <ulink url=\"index-es.html\">Español</ulink>, <ulink url=\"index-sv.html\">svenska</ulink>, and <ulink url=\"index-en_US.html\">US English</ulink>."
 msgstr ""
 
-#: ../en_US/homepage.xml:30(title)
+#: en_US/homepage.xml:31(title) 
 msgid "Fedora Documentation"
-msgstr "Fedora Documentation"
+msgstr ""
 
-#: ../en_US/homepage.xml:33(ulink)
-#, fuzzy
-msgid "Fedora Core 6 Release Notes"
-msgstr "Notes de sortie de Fedora Core"
+#: en_US/homepage.xml:33(title) 
+msgid "Fedora Release Notes"
+msgstr ""
 
-#: ../en_US/homepage.xml:36(para)
-msgid ""
-"The Release Notes provide a detailed overview of this release of Fedora "
-"Core, including what's new, notes specific to your computer architecture, "
-"and tips for smoother system operation. This document is highly recommended "
-"for every installation or upgrade of your Fedora system."
+#: en_US/homepage.xml:36(para) 
+msgid "The Release Notes provide a detailed overview of this release of Fedora, including what's new, notes specific to your computer architecture, and tips for smoother system operation. This document is highly recommended for every installation or upgrade of your Fedora system."
 msgstr ""
 
-#. have been made available through the PO.
-#: ../en_US/homepage.xml:57(para)
-msgid ""
-"The Release Notes are available in <ulink url=\"RELEASE-NOTES-pt_BR.html"
-"\">Brazilian Portuguese</ulink>, <ulink url=\"RELEASE-NOTES-el.html\">Greek</"
-"ulink>, <ulink url=\"RELEASE-NOTES-it.html\">Italian</ulink>, <ulink url="
-"\"RELEASE-NOTES-pl.html\">Polish</ulink>, <ulink url=\"RELEASE-NOTES-pt.html"
-"\">Portuguese</ulink>, <ulink url=\"RELEASE-NOTES-ru.html\">Russian</ulink>, "
-"<ulink url=\"RELEASE-NOTES-zh_CN.html\">Simplified Chinese</ulink>, <ulink "
-"url=\"RELEASE-NOTES-es.html\">Spanish</ulink>, <ulink url=\"RELEASE-NOTES-sv."
-"html\">Swedish</ulink>, and <ulink url=\"RELEASE-NOTES-en_US.html\">US "
-"English</ulink>."
+#: en_US/homepage.xml:42(para) 
+msgid "The Release Notes are available in the following languages:"
 msgstr ""
 
-#: ../en_US/homepage.xml:71(para)
-msgid ""
-"The <ulink url=\"http://fedora.redhat.com/docs/install-guide/\"><phrase role="
-"\"external\">Installation Guide</phrase></ulink> helps you install Fedora "
-"Core on desktops, laptops and servers."
+#. Next para does not need to be translated.
+#: en_US/homepage.xml:45(para) 
+msgid "<ulink url=\"RELEASE-NOTES-pt_BR.html\">português brasileiro</ulink>, <ulink url=\"RELEASE-NOTES-el.html\">Ελληνικά</ulink>, <ulink url=\"RELEASE-NOTES-it.html\">italiano</ulink>, <ulink url=\"RELEASE-NOTES-pl.html\">Polski</ulink>, <ulink url=\"RELEASE-NOTES-pt.html\">português</ulink>, <ulink url=\"RELEASE-NOTES-ru.html\">Pyccĸий</ulink>, <ulink url=\"RELEASE-NOTES-zh_CN.html\">简体中文</ulink>, <ulink url=\"RELEASE-NOTES-es.html\">Español</ulink>, <ulink url=\"RELEASE-NOTES-sv.html\">svenska</ulink>, and <ulink url=\"RELEASE-NOTES-en_US.html\">US English</ulink>."
+msgstr ""
+
+#: en_US/homepage.xml:58(title) 
+msgid "Installation Guide"
+msgstr ""
+
+#: en_US/homepage.xml:59(para) 
+msgid "The <ulink url=\"http://docs.fedoraproject.org/install-guide/\"><phrase role=\"external\">Installation Guide</phrase></ulink> helps you install Fedora on desktops, laptops and servers."
 msgstr ""
 
-#: ../en_US/homepage.xml:77(title)
+#: en_US/homepage.xml:65(title) 
 msgid "Fedora Desktop User Guide"
 msgstr ""
 
-#: ../en_US/homepage.xml:78(para)
-msgid ""
-"The Desktop User Guide explains how to accomplish specific tasks using "
-"desktop applications. It covers activities such as using the desktop, "
-"accessing media, communicating on the Internet, using office productivity "
-"applications, and playing multimedia and games."
+#: en_US/homepage.xml:66(para) 
+msgid "The Desktop User Guide explains how to accomplish specific tasks using desktop applications. It covers activities such as using the desktop, accessing media, communicating on the Internet, using office productivity applications, and playing multimedia and games."
 msgstr ""
 
-#: ../en_US/homepage.xml:83(para)
-msgid ""
-"The Desktop User Guide is currently available as a <emphasis>draft</"
-"emphasis> in <ulink url=\"http://fedoraproject.org/wiki/Docs/Drafts/"
-"DesktopUserGuide\"><phrase role=\"external\">US English</phrase></ulink>."
+#: en_US/homepage.xml:71(para) 
+msgid "The Desktop User Guide is currently available as a <emphasis>draft</emphasis> in <ulink url=\"http://fedoraproject.org/wiki/Docs/Drafts/DesktopUserGuide\"><phrase role=\"external\">US English</phrase></ulink>."
 msgstr ""
 
-#: ../en_US/homepage.xml:90(title)
+#: en_US/homepage.xml:78(title) 
 msgid "Other Resources"
 msgstr ""
 
-#: ../en_US/homepage.xml:93(para)
-msgid ""
-"The Fedora Project website contains a wealth of information. Here are some "
-"pages of interest:"
+#: en_US/homepage.xml:80(title) 
+msgid "Fedora Project"
 msgstr ""
 
-#: ../en_US/homepage.xml:97(para)
-msgid ""
-"<ulink url=\"http://fedoraproject.org/wiki/Overview\"><phrase role=\"external"
-"\">Overview of Fedora</phrase></ulink>: What Fedora is, and what makes it "
-"special"
+#: en_US/homepage.xml:81(para) 
+msgid "The Fedora Project website contains a wealth of information. Here are some pages of interest:"
 msgstr ""
 
-#: ../en_US/homepage.xml:103(para)
-msgid ""
-"<ulink url=\"http://fedoraproject.org/wiki/FAQ\"><phrase role=\"external"
-"\">Fedora FAQ</phrase></ulink>: Frequently asked questions about Fedora and "
-"their answers"
+#: en_US/homepage.xml:85(para) 
+msgid "<ulink url=\"http://fedoraproject.org/wiki/Overview\"><phrase role=\"external\">Overview of Fedora</phrase></ulink>: What Fedora is, and what makes it special"
 msgstr ""
 
-#: ../en_US/homepage.xml:108(para)
-msgid ""
-"<ulink url=\"http://fedoraproject.org/wiki/Communicate\"><phrase role="
-"\"external\">Communicate</phrase></ulink>: Ways to interact with a strong, "
-"global community of users and contributors that is ready to help you and "
-"listen to your feedback"
+#: en_US/homepage.xml:91(para) 
+msgid "<ulink url=\"http://fedoraproject.org/wiki/FAQ\"><phrase role=\"external\">Fedora FAQ</phrase></ulink>: Frequently asked questions about Fedora and their answers"
 msgstr ""
 
-#: ../en_US/homepage.xml:116(para)
-#, fuzzy
-msgid ""
-"<ulink url=\"http://fedoraproject.org/wiki/HelpWanted\"><phrase role="
-"\"external\">Participate</phrase></ulink>: Ways you can make a change by "
-"helping with Fedora"
+#: en_US/homepage.xml:96(para) 
+msgid "<ulink url=\"http://fedoraproject.org/wiki/Communicate\"><phrase role=\"external\">Communicate</phrase></ulink>: Ways to interact with a strong, global community of users and contributors that is ready to help you and listen to your feedback"
 msgstr ""
-"<ulink url=\"http://fedoraproject.org/wiki/JensPetersen\">Jens Petersen</"
-"ulink> (rédacteur)"
 
-#: ../en_US/homepage.xml:122(para)
-msgid ""
-"<ulink url=\"http://fedoraproject.org/people/\"><phrase role=\"external"
-"\">Planet Fedora</phrase></ulink>: Read what Fedora Project contributors "
-"around the planet have to say"
+#: en_US/homepage.xml:104(para) 
+msgid "<ulink url=\"http://fedoraproject.org/wiki/HelpWanted\"><phrase role=\"external\">Participate</phrase></ulink>: Ways you can make a change by helping with Fedora"
+msgstr ""
+
+#: en_US/homepage.xml:110(para) 
+msgid "<ulink url=\"http://fedoraproject.org/people/\"><phrase role=\"external\">Planet Fedora</phrase></ulink>: Read what Fedora Project contributors around the planet have to say"
 msgstr ""
 
-#: ../en_US/homepage.xml:130(title)
-#, fuzzy
+#: en_US/homepage.xml:118(title) 
 msgid "Community Websites"
-msgstr "Fedora Websites"
+msgstr ""
 
-#: ../en_US/homepage.xml:132(para)
-msgid ""
-"The documentation provided in these sites is provided <emphasis>as is</"
-"emphasis>, and neither Red Hat nor the Fedora Project have any control over "
-"their content."
+#: en_US/homepage.xml:120(para) 
+msgid "The documentation provided in these sites is provided <emphasis>as is</emphasis>, and neither Red Hat nor the Fedora Project have any control over their content."
 msgstr ""
 
-#: ../en_US/homepage.xml:138(para)
-msgid ""
-"<ulink url=\"http://fedoranews.org\"><phrase role=\"external\">Fedora News</"
-"phrase></ulink>: A public community news and information site for Fedora "
-"users"
+#: en_US/homepage.xml:126(para) 
+msgid "<ulink url=\"http://fedoranews.org\"><phrase role=\"external\">Fedora News</phrase></ulink>: A public community news and information site for Fedora users"
 msgstr ""
 
-#: ../en_US/homepage.xml:143(para)
-msgid ""
-"<ulink url=\"http://fedoraforum.org\"><phrase role=\"external\">Fedora "
-"Forum</phrase></ulink>: The formally endorsed forums of the Fedora Project"
+#: en_US/homepage.xml:131(para) 
+msgid "<ulink url=\"http://fedoraforum.org\"><phrase role=\"external\">Fedora Forum</phrase></ulink>: The formally endorsed forums of the Fedora Project"
 msgstr ""
 
-#: ../en_US/homepage.xml:150(phrase)
+#: en_US/homepage.xml:138(phrase) 
 msgid "The unofficial Fedora FAQ"
 msgstr ""
 
 #. Put one translator per line, in the form of NAME <EMAIL>, YEAR1, YEAR2.
-#: ../en_US/homepage.xml:0(None)
+#: en_US/homepage.xml:0(None) 
 msgid "translator-credits"
-msgstr "translator-credits"
+msgstr ""
 