--- yum.yum-3_2_X.fr.po-orig	2009-10-03 17:17:27.365885532 +0200
+++ yum.yum-3_2_X.fr.po	2009-10-03 18:06:54.254881413 +0200
@@ -11,7 +11,7 @@
 "Project-Id-Version: yum.master\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2009-10-03 04:38+0000\n"
-"PO-Revision-Date: 2009-10-03 17:17+0100\n"
+"PO-Revision-Date: 2009-10-03 18:06+0100\n"
 "Last-Translator: Michel Duquaine <michelduquaine@gmail.com>\n"
 "Language-Team: French <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -182,7 +182,7 @@
 #: ../cli.py:429
 #: ../yum/__init__.py:4005
 msgid "ERROR You need to update rpm to handle:"
-msgstr ""
+msgstr "ERREUR Vous devez mettre à jour rpm pour manipuler:"
 
 #: ../cli.py:431
 #: ../yum/__init__.py:4008
@@ -191,7 +191,7 @@
 
 #: ../cli.py:437
 msgid "RPM needs to be updated"
-msgstr ""
+msgstr "RPM doit être mis à jour"
 
 #: ../cli.py:438
 #, python-format
@@ -280,14 +280,14 @@
 msgstr "Paquet(s) à rétrograder"
 
 #: ../cli.py:709
-#, fuzzy, python-format
+#, python-format
 msgid " (from %s)"
-msgstr "    %s depuis %s"
+msgstr "(depuis %s)"
 
 #: ../cli.py:711
-#, fuzzy, python-format
+#, python-format
 msgid "Installed package %s%s%s%s not available."
-msgstr "Aucun paquet %s%s%s disponible."
+msgstr "Paquet installé %s%s%s%s indisponible."
 
 #: ../cli.py:718
 msgid "Package(s) to reinstall"
@@ -778,13 +778,12 @@
 msgstr "Taille totale des téléchargement : %s"
 
 #: ../output.py:942
-#, fuzzy
 msgid "Reinstalling"
-msgstr "Installation"
+msgstr "Réinstallation"
 
 #: ../output.py:943
 msgid "Downgrading"
-msgstr ""
+msgstr "Déclassement"
 
 #: ../output.py:944
 msgid "Installing for dependencies"
@@ -839,6 +838,9 @@
 "Transaction Summary\n"
 "%s\n"
 msgstr ""
+"\n"
+"Résumé de la transaction\n"
+"%s\n"
 
 #: ../output.py:1006
 #, python-format
@@ -846,6 +848,8 @@
 "Install   %5.5s Package(s)\n"
 "Upgrade   %5.5s Package(s)\n"
 msgstr ""
+"Installer   %5.5s Paquet(s)\n"
+"Mettre à jour   %5.5s Paquet(s)\n"
 
 #: ../output.py:1015
 #, python-format
@@ -854,6 +858,9 @@
 "Reinstall %5.5s Package(s)\n"
 "Downgrade %5.5s Package(s)\n"
 msgstr ""
+"Supprimer    %5.5s Paquet(s)\n"
+"Réinstaller %5.5s Paquet(s)\n"
+"Déclasser %5.5s Paquet(s)\n"
 
 #: ../output.py:1059
 msgid "Removed"
@@ -889,14 +896,15 @@
 #. to exit.
 #. Where "interupt (ctrl-c) again" and "two" are highlighted.
 #: ../output.py:1144
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "\n"
 " Current download cancelled, %sinterrupt (ctrl-c) again%s within %s%s%s seconds\n"
 "to exit.\n"
 msgstr ""
 "\n"
-"Téléchargement courant annulé, interruption %s (crtl-c), %s de nouveau dans %s%s%s secondes pour quitter.\n"
+"Téléchargement courant annulé, interruption %s (crtl-c), %s de nouveau dans %s%s%s secondes\n"
+"pour quitter.\n"
 
 #: ../output.py:1155
 msgid "user interrupt"
@@ -908,145 +916,136 @@
 
 #: ../output.py:1201
 msgid "<unset>"
-msgstr ""
+msgstr "<indéfini>"
 
 #: ../output.py:1202
 msgid "System"
-msgstr ""
+msgstr "Système"
 
 #: ../output.py:1238
 msgid "Bad transaction IDs, or package(s), given"
-msgstr ""
+msgstr "Mauvaise identification de transaction ou paquet donné"
 
 #: ../output.py:1282
 #: ../yumcommands.py:1149
 #: ../yum/__init__.py:1060
 msgid "Warning: RPMDB has been altered since the last yum transaction."
-msgstr ""
+msgstr "Avertissement : RPMDB a été modifiée depuis la dernière transaction yum."
 
 #: ../output.py:1287
 msgid "No transaction ID given"
-msgstr ""
+msgstr "Aucune indentification de transaction donnée"
 
 #: ../output.py:1295
 msgid "Bad transaction ID given"
-msgstr ""
+msgstr "Mauvaise identification de transaction donné"
 
 #: ../output.py:1300
-#, fuzzy
 msgid "Not found given transaction ID"
-msgstr "Lancement de la transaction"
+msgstr "Identification de la transaction donnée pas trouvée"
 
 #: ../output.py:1308
 msgid "Found more than one transaction ID!"
-msgstr ""
+msgstr "Plus d'une identification de transaction trouvée !"
 
 #: ../output.py:1329
 msgid "No transaction ID, or package, given"
-msgstr ""
+msgstr "Aucune identification de transaction ou paquet donné"
 
 #: ../output.py:1355
-#, fuzzy
 msgid "Transaction ID :"
-msgstr "Erreur du contrôle de transaction :\n"
+msgstr "Identification de la transaction :"
 
 #: ../output.py:1357
 msgid "Begin time     :"
-msgstr ""
+msgstr "Temps de début :"
 
 #: ../output.py:1360
 #: ../output.py:1362
 msgid "Begin rpmdb    :"
-msgstr ""
+msgstr "Début de rpmdb :"
 
 #: ../output.py:1376
 #, python-format
 msgid "(%s seconds)"
-msgstr ""
+msgstr "(%s secondes)"
 
 #: ../output.py:1377
-#, fuzzy
 msgid "End time       :"
-msgstr "Autre           :"
+msgstr "Temps de fin :"
 
 #: ../output.py:1380
 #: ../output.py:1382
 msgid "End rpmdb      :"
-msgstr ""
+msgstr "Fin de rpmdb :"
 
 #: ../output.py:1383
-#, fuzzy
 msgid "User           :"
-msgstr "URL         : %s"
+msgstr "Utilisateur :"
 
 #: ../output.py:1385
 #: ../output.py:1387
 #: ../output.py:1389
-#, fuzzy
 msgid "Return-Code    :"
-msgstr "Id du dépôt       : "
+msgstr "Code retour :"
 
 #: ../output.py:1385
-#, fuzzy
 msgid "Aborted"
-msgstr "Obsolète"
+msgstr "Avorté"
 
 #: ../output.py:1387
-#, fuzzy
 msgid "Failure:"
-msgstr "Échec"
+msgstr "Échec :"
 
 #: ../output.py:1389
 msgid "Success"
-msgstr ""
+msgstr "Réussi"
 
 #: ../output.py:1390
-#, fuzzy
 msgid "Transaction performed with  :"
-msgstr "Erreur du contrôle de transaction :\n"
+msgstr "Transaction effectuée avec :"
 
 #: ../output.py:1403
 msgid "Downgraded"
-msgstr ""
+msgstr "Déclassé"
 
 #. multiple versions installed, both older and newer
 #: ../output.py:1405
 msgid "Weird"
-msgstr ""
+msgstr "Bizarre"
 
 #: ../output.py:1407
-#, fuzzy
 msgid "Packages Altered:"
-msgstr "Pas de paquet fourni"
+msgstr "Paquets modifiés :"
 
 #: ../output.py:1475
 msgid "Last day"
-msgstr ""
+msgstr "Dernier jour"
 
 #: ../output.py:1476
 msgid "Last week"
-msgstr ""
+msgstr "Dernière semaine"
 
 #: ../output.py:1477
 msgid "Last 2 weeks"
-msgstr ""
+msgstr "Deux dernières semaines"
 
 #. US default :p
 #: ../output.py:1478
 msgid "Last 3 months"
-msgstr ""
+msgstr "Trois derniers mois"
 
 #: ../output.py:1479
 msgid "Last 6 months"
-msgstr ""
+msgstr "Six derniers mois"
 
 #: ../output.py:1480
 msgid "Last year"
-msgstr ""
+msgstr "L'année dernière"
 
 #: ../output.py:1481
 msgid "Over a year ago"
-msgstr ""
+msgstr "Il y a plus d'un an"
 
 #: ../output.py:1510
 msgid "installed"
@@ -1131,12 +1130,15 @@
 
 #: ../utils.py:140
 #: ../yummain.py:50
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "\n"
 "\n"
 "%s"
-msgstr "%s"
+msgstr ""
+"\n"
+"\n"
+"%s"
 
 #: ../utils.py:179
 #: ../yummain.py:273
@@ -1404,17 +1406,14 @@
 msgstr "désactivé"
 
 #: ../yumcommands.py:834
-#, fuzzy
 msgid "Repo-id      : "
 msgstr "Id du dépôt       : "
 
 #: ../yumcommands.py:835
-#, fuzzy
 msgid "Repo-name    : "
 msgstr "Nom du dépôt      : "
 
 #: ../yumcommands.py:836
-#, fuzzy
 msgid "Repo-status  : "
 msgstr "État du dépôt : "
 
@@ -1423,7 +1422,6 @@
 msgstr "Révision du dépôt :"
 
 #: ../yumcommands.py:842
-#, fuzzy
 msgid "Repo-tags    : "
 msgstr "Tags du dépôt :"
 
@@ -1432,22 +1430,18 @@
 msgstr "Repo-distro-tags : "
 
 #: ../yumcommands.py:853
-#, fuzzy
 msgid "Repo-updated : "
 msgstr "Mise à jour du dépôt :"
 
 #: ../yumcommands.py:855
-#, fuzzy
 msgid "Repo-pkgs    : "
 msgstr "Paquets du dépôt : "
 
 #: ../yumcommands.py:856
-#, fuzzy
 msgid "Repo-size    : "
 msgstr "Taille du dépôt    : "
 
 #: ../yumcommands.py:863
-#, fuzzy
 msgid "Repo-baseurl : "
 msgstr "Baseurl du dépôt : "
 
@@ -1460,7 +1454,6 @@
 msgstr "  Mis à jour    : "
 
 #: ../yumcommands.py:878
-#, fuzzy
 msgid "Repo-mirrors : "
 msgstr "Mirroirs du dépôt :"
 
@@ -1472,30 +1465,27 @@
 #: ../yumcommands.py:888
 #, python-format
 msgid "Never (last: %s)"
-msgstr ""
+msgstr "Jamais (dernier : %s)"
 
 #: ../yumcommands.py:890
-#, fuzzy, python-format
+#, python-format
 msgid "Instant (last: %s)"
-msgstr "Date d'installation : %s"
+msgstr "Instant (dernier : %s)"
 
 #: ../yumcommands.py:893
 #, python-format
 msgid "%s second(s) (last: %s)"
-msgstr ""
+msgstr "%s seconde(s) (dernier : %s)"
 
 #: ../yumcommands.py:895
-#, fuzzy
 msgid "Repo-expire  : "
-msgstr "Taille du dépôt    : "
+msgstr "Expiration du dépôt : "
 
 #: ../yumcommands.py:898
-#, fuzzy
 msgid "Repo-exclude : "
 msgstr "Exclus du dépôt :"
 
 #: ../yumcommands.py:902
-#, fuzzy
 msgid "Repo-include : "
 msgstr "Inclus au dépôt :"
 
@@ -1563,50 +1553,44 @@
 
 #: ../yumcommands.py:1081
 msgid "Display a version for the machine and/or available repos."
-msgstr ""
+msgstr "Afficher une version de la machine et/ou des dépôts disponibles."
 
 #: ../yumcommands.py:1111
 msgid " Yum version groups:"
-msgstr ""
+msgstr "Groupes de version de Yum :"
 
 #: ../yumcommands.py:1121
-#, fuzzy
 msgid " Group   :"
-msgstr "Id du g : %s"
+msgstr "Groupe :"
 
 #: ../yumcommands.py:1122
-#, fuzzy
 msgid " Packages:"
-msgstr "Paquet"
+msgstr "Paquets :"
 
 #: ../yumcommands.py:1152
-#, fuzzy
 msgid "Installed:"
-msgstr "Installé"
+msgstr "Installé :"
 
 #: ../yumcommands.py:1157
-#, fuzzy
 msgid "Group-Installed:"
-msgstr "Installé"
+msgstr "Groupe installé :"
 
 #: ../yumcommands.py:1166
-#, fuzzy
 msgid "Available:"
-msgstr "Groupes disponibles :"
+msgstr "Disponible :"
 
 #: ../yumcommands.py:1172
-#, fuzzy
 msgid "Group-Available:"
 msgstr "Groupes disponibles :"
 
 #: ../yumcommands.py:1211
 msgid "Display, or use, the transaction history"
-msgstr ""
+msgstr "Afficher ou utiliser l'historique de transaction"
 
 #: ../yumcommands.py:1239
 #, python-format
 msgid "Invalid history sub-command, use: %s."
-msgstr ""
+msgstr "Sous-commande de l'historique invalide, utilisez : %s."
 
 #: ../yummain.py:128
 msgid "Running"
@@ -2045,14 +2029,14 @@
 #: ../yum/__init__.py:1123
 #, python-format
 msgid "%s was supposed to be installed but is not!"
-msgstr ""
+msgstr "%s est censé être installé, mais l'est pas!"
 
 #. maybe a file log here, too
 #. but raising an exception is not going to do any good
 #: ../yum/__init__.py:1162
 #, python-format
 msgid "%s was supposed to be removed but is not!"
-msgstr ""
+msgstr "%s est censé être supprimé, mais l'est pas!"
 
 #. Whoa. What the heck happened?
 #: ../yum/__init__.py:1282
@@ -2068,9 +2052,9 @@
 
 #. Whoa. What the heck happened?
 #: ../yum/__init__.py:1321
-#, fuzzy, python-format
+#, python-format
 msgid "Could not create lock at %s: %s "
-msgstr "Impossible de trouver une correspondance pour la mise à jour de %s"
+msgstr "Impossible de créer le verrou sur %s : %s"
 
 #: ../yum/__init__.py:1366
 msgid "Package does not match intended download"
@@ -2234,9 +2218,9 @@
 msgstr "Impossible de trouver le tuple de paquet %s dans le regroupement"
 
 #: ../yum/__init__.py:2392
-#, fuzzy, python-format
+#, python-format
 msgid "Package tuple %s could not be found in rpmdb"
-msgstr "Impossible de trouver le tuple de paquet %s dans le regroupement"
+msgstr "Impossible de trouver le tuple de paquet %s dans rpmdb"
 
 #: ../yum/__init__.py:2448
 #: ../yum/__init__.py:2498
@@ -2287,9 +2271,9 @@
 msgstr "Paquet : %s - déjà dans le jeu de transaction"
 
 #: ../yum/__init__.py:2832
-#, fuzzy, python-format
+#, python-format
 msgid "Package %s is obsoleted by %s which is already installed"
-msgstr "Le paquet %s est rendu obsolète par %s, tentative d'installation de %s à la place"
+msgstr "Le paquet %s est rendu obsolète par %s qui est déjà installé"
 
 #: ../yum/__init__.py:2835
 #, python-format
@@ -2331,9 +2315,9 @@
 msgstr "Paquet déjà rendu obsolète : %s.%s %s:%s-%s"
 
 #: ../yum/__init__.py:3111
-#, fuzzy, python-format
+#, python-format
 msgid "Not Updating Package that is obsoleted: %s"
-msgstr "Pas de mise à jour des paquets qui ont déjà été rendus obsolètes : %s.%s %s:%s-%s"
+msgstr "Pas de mise à jour du paquet qui est obsolète : %s"
 
 #: ../yum/__init__.py:3120
 #: ../yum/__init__.py:3147
@@ -2405,9 +2389,9 @@
 msgstr "Le paquet %s autorise des installations multiples, omission"
 
 #: ../yum/__init__.py:3409
-#, fuzzy, python-format
+#, python-format
 msgid "Problem in reinstall: no package %s matched to install"
-msgstr "Problème dans la ré-installation : aucun paquet correspondant à installer"
+msgstr "Problème dans la ré-installation : aucun paquet %s correspondant à installer"
 
 #: ../yum/__init__.py:3499
 msgid "No package(s) available to downgrade"
@@ -2425,9 +2409,9 @@
 
 #: ../yum/__init__.py:3617
 #: ../yum/__init__.py:3654
-#, fuzzy, python-format
+#, python-format
 msgid "Failed to downgrade: %s"
-msgstr "Paquet(s) à rétrograder"
+msgstr "Echec lors du déclassement : %s"
 
 #: ../yum/__init__.py:3686
 #, python-format