--- publican.site_tech.Site_Tech.old.po	2010-10-21 16:59:30.501357191 +0200
+++ publican.site_tech.Site_Tech.po	2010-10-22 11:45:38.956774281 +0200
@@ -1,13 +1,14 @@
 # Language fr-FR translations for Welcome package.
-# Automatically generated, 2008.
 #
+# Automatically generated, 2008.
+# adundev <adundev@gmail.com>, 2010.
 msgid ""
 msgstr ""
 "Project-Id-Version: Welcome VERSION\n"
-"Report-Msgid-Bugs-To: http://bugs.kde.org\n"
+"Report-Msgid-Bugs-To: https://bugzilla.redhat.com\n"
 "POT-Creation-Date: 2010-07-06T22:39:32\n"
-"PO-Revision-Date: 2010-10-13 22:29+0100\n"
-"Last-Translator: adundev <trans-fr@lists.fedoraproject.org>\n"
+"PO-Revision-Date: 2010-10-22 11:45+0000\n"
+"Last-Translator: adundev <adundev@gmail.com>\n"
 "Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -15,36 +16,37 @@
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
 "X-Poedit-Language: French\n"
 "X-Poedit-Country: FRANCE\n"
+"X-Generator: Lokalize 1.0\n"
 
 #. Tag: title
 #, no-c-format
 msgid "Site Tech"
-msgstr "Site Tech"
+msgstr "Technique du site"
 
 #. Tag: subtitle
 #, no-c-format
 msgid "Technology used to create this site"
-msgstr "Technologies utilisées pour créer ce site"
+msgstr "Technologie utilisée pour créer ce site"
 
 #. Tag: para
 #, no-c-format
 msgid "This site is constructed with <application>Publican</application>, a free and open-source publishing tool developed by <ulink url=\"http://www.redhat.com/\">Red Hat, Inc</ulink>."
-msgstr "Ce site est construit avec <application>Publican</application>, un outil de publication gratuit et open-source développé par <ulink url=\"http://www.redhat.com/\">Red Hat, Inc</ulink>."
+msgstr "Ce site est construit avec <application>Publican</application>, un outil de publication libre développé par <ulink url=\"http://www.redhat.com/\">Red Hat, Inc</ulink>."
 
 #. Tag: para
 #, no-c-format
 msgid "<application>Publican</application> takes content authored in DocBook XML and transforms it into a variety of formats such as HTML, PDF, and EPUB. It can also build RPM packages to ship the content and can build documentation websites to publish the content on the web."
-msgstr "<application>Publican</application> prend le contenu rédigé dans DocBook XML et le transforme dans un grand nombre de formats tels que HTML, PDF, et EPUB. Il peut également contruire des paquets RPM pour diffuser le contenu et peut construire la documentation de sites Web afin de publier le contenu sur la toile."
+msgstr "<application>Publican</application> prend le contenu rédigé dans DocBook XML et l'exporte dans un grand nombre de formats tels que HTML, PDF et EPUB. Il peut également contruire des paquets RPM pour en diffuser le contenu et extraire de la documentation de sites internet à des fins de publication."
 
 #. Tag: para
 #, no-c-format
 msgid "<application>Publican</application> is included in the Fedora and Ubuntu distributions of Linux. Run <command>yum install publican</command> on Fedora or <command>apt-get install publican</command> on Ubuntu to install <application>Publican</application> on your system. An <ulink url=\"https://fedorahosted.org/releases/p/u/publican/\">installer for Windows operating systems</ulink> is also available."
-msgstr "<application>Publican</application> est inclus dans les distributions de Linux Fedora et Ubuntu. Exécutez <command>yum install publican</command> sur Fedora ou <command>apt-get install publican</command> sur Ubuntu pour installer <application>Publican</application> sur votre système. Un <ulink url=\"https://fedorahosted.org/releases/p/u/publican/\"> programme d'installation  pour les systèmes d'exploitation Windows</ulink> est également disponible."
+msgstr "<application>Publican</application> est inclus dans les distributions Linux Fedora et Ubuntu. Exécutez <command>yum install publican</command> sur Fedora ou <command>apt-get install publican</command> sur Ubuntu pour installer <application>Publican</application> sur votre système. Un <ulink url=\"https://fedorahosted.org/releases/p/u/publican/\">programme d'installation pour les systèmes d'exploitation Windows</ulink> est également disponible."
 
 #. Tag: title
 #, no-c-format
 msgid "Publican links"
-msgstr "Liens Publicans"
+msgstr "Liens Publican"
 
 #. Tag: para
 #, no-c-format
@@ -54,7 +56,7 @@
 #. Tag: para
 #, no-c-format
 msgid "<ulink url=\"http://jfearn.fedorapeople.org/\">Users&#39; Guide</ulink>"
-msgstr "<ulink url=\"http://jfearn.fedorapeople.org/\">Guide Utilisateur&#39;</ulink>"
+msgstr "<ulink url=\"http://jfearn.fedorapeople.org/\">Guide utilisateurs</ulink>"
 
 #. Tag: para
 #, no-c-format
@@ -89,7 +91,7 @@
 #. Tag: title
 #, no-c-format
 msgid "Publican builds on the work of these open-source projects:"
-msgstr "Publican est construit sur le travail de ces projets open-source :"
+msgstr "Publican est construit sur le travail de ces projets libres :"
 
 #. Tag: para
 #, no-c-format
@@ -136,3 +138,4 @@
 msgid "<ulink url=\"http://sqlite.org\">SQLite</ulink>"
 msgstr "<ulink url=\"http://sqlite.org\">SQLite</ulink>"
 
+