--- chkconfig.master.fr.po	2008-03-16 18:32:21.000000000 +0100
+++ chkconfig.fr.po	2008-03-16 20:47:33.000000000 +0100
@@ -1,5 +1,5 @@
-# translation of fr.po to Francais
-# Copyright (C) 2001 Red Hat, Inc.
+# French translation of chkconfig package
+# Copyright (C) 2001-2008 Red Hat, Inc.
 #
 # Bettina De Monti <bdemonti@redhat.it>, 2001.
 # Jean-Paul Aubry <jpaubry@redhat.com>, 2003,2004, 2005.
@@ -8,13 +8,15 @@
 # Alain PORTAL <aportal@univ-montp2.fr>, 2006.
 # Decroux Fabien <fdecroux@redhat.com>, 2006.
 # Thomas Canniot <thomas.canniot@laposte.net>, 2007.
+# Robert-André Mauchin <zebob.m@pengzone.org>, 2008.
+#
 msgid ""
 msgstr ""
-"Project-Id-Version: fr\n"
+"Project-Id-Version: chkconfig 1.3.37\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2007-11-08 16:29-0500\n"
-"PO-Revision-Date: 2007-03-08 10:06+0100\n"
-"Last-Translator: Thomas Canniot <thomas.canniot@laposte.net>\n"
+"PO-Revision-Date: 2008-03-16 20:47:30+0100\n"
+"Last-Translator: Robert-André Mauchin <zebob.m@pengzone.org>\n"
 "Language-Team: Francais <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -35,24 +37,24 @@ msgstr ""
 "publique GNU (GPL).\n"
 
 #: ../chkconfig.c:40
-#, fuzzy, c-format
+#, c-format
 msgid "usage:   %s [--list] [name]\n"
-msgstr "utilisation : %s --list [nom]\n"
+msgstr "utilisation :   %s [--list] [nom]\n"
 
 #: ../chkconfig.c:41
 #, c-format
 msgid "         %s --add <name>\n"
-msgstr "              %s --add <nom>\n"
+msgstr "         %s --add <nom>\n"
 
 #: ../chkconfig.c:42
 #, c-format
 msgid "         %s --del <name>\n"
-msgstr "              %s --del <nom>\n"
+msgstr "         %s --del <nom>\n"
 
 #: ../chkconfig.c:43
 #, c-format
 msgid "         %s --override <name>\n"
-msgstr "         %s --override <name>\n"
+msgstr "         %s --override <nom>\n"
 
 #: ../chkconfig.c:44
 #, c-format
@@ -66,7 +68,7 @@ msgid ""
 "'chkconfig --add %s')\n"
 msgstr ""
 "le service %s prend en charge chkconfig, mais il n'est enregistré à aucun "
-"niveau (exécutez « chkconfig --add %s »)\n"
+"niveau d'exécution (lancez « chkconfig --add %s »)\n"
 
 #: ../chkconfig.c:53
 #, c-format
@@ -76,7 +78,7 @@ msgstr "le service %s ne prend pas en ch
 #: ../chkconfig.c:55
 #, c-format
 msgid "error reading information on service %s: %s\n"
-msgstr "erreur lors de la lecture d'informations sur le service %s : %s\n"
+msgstr "erreur lors de la lecture des informations sur le service %s : %s\n"
 
 #: ../chkconfig.c:186 ../chkconfig.c:411
 #, c-format
@@ -85,16 +87,16 @@ msgstr "impossible d'ouvrir %s/init.d :
 
 #: ../chkconfig.c:355 ../chkconfig.c:360 ../chkconfig.c:504
 msgid "on"
-msgstr "marche"
+msgstr "activé"
 
 #: ../chkconfig.c:355 ../chkconfig.c:360 ../chkconfig.c:504
 msgid "off"
-msgstr "arrêt"
+msgstr "désactivé"
 
 #: ../chkconfig.c:433 ../ntsysv.c:183 ../ntsysv.c:210 ../ntsysv.c:248
 #, c-format
 msgid "error reading info for service %s: %s\n"
-msgstr "erreur lors de la lecture d'informations sur le service %s : %s\n"
+msgstr "erreur lors de la lecture des informations sur le service %s : %s\n"
 
 #: ../chkconfig.c:466
 #, c-format
@@ -115,14 +117,14 @@ msgstr "%s version %s\n"
 #, c-format
 msgid "only one of --list, --add, --del, or --override may be specified\n"
 msgstr ""
-"spécifiez une seule des options suivantes --list, --add, --del ou --"
+"n'indiquez qu'une seule des options suivantes --list, --add, --del ou --"
 "override\n"
 
 #: ../chkconfig.c:677
 #, c-format
 msgid "only one runlevel may be specified for a chkconfig query\n"
 msgstr ""
-"vous ne pouvez spécifier qu'un seul niveau d'exécution pour une requête "
+"vous ne pouvez indiquer qu'un seul niveau d'exécution pour une requête "
 "chkconfig\n"
 
 #: ../ntsysv.c:46
@@ -131,7 +133,7 @@ msgstr "Appuyez sur <F1> pour plus d'inf
 
 #: ../ntsysv.c:83 ../ntsysv.c:120
 msgid "Ok"
-msgstr "OK"
+msgstr "Valider"
 
 #: ../ntsysv.c:83
 msgid "Back"
@@ -162,7 +164,7 @@ msgstr "Vous devez être connecté en ta
 #: ../ntsysv.c:310
 #, c-format
 msgid "bad argument to --levels\n"
-msgstr "argument incorrect pour --levels\n"
+msgstr "paramètre incorrect pour --levels\n"
 
 #: ../ntsysv.c:317
 #, c-format
@@ -177,7 +179,7 @@ msgstr "échec d'interprétation du moti
 #: ../leveldb.c:644
 #, c-format
 msgid "cannot determine current run level\n"
-msgstr "impossible de déterminer le niveau d'exécution en cours\n"
+msgstr "impossible de déterminer le niveau d'exécution actuel\n"
 
 #: ../leveldb.c:732
 #, c-format
@@ -187,7 +189,7 @@ msgstr "impossible de créer le lien sym
 #: ../alternatives.c:63
 #, c-format
 msgid "alternatives version %s - Copyright (C) 2001 Red Hat, Inc.\n"
-msgstr "versions de alternatives %s - Copyright (C) 2001 Red Hat, Inc.\n"
+msgstr "version de alternatives %s - Copyright (C) 2001 Red Hat, Inc.\n"
 
 #: ../alternatives.c:64
 #, c-format
@@ -248,7 +250,7 @@ msgstr "\n"
 #: ../alternatives.c:74
 #, c-format
 msgid "common options: --verbose --test --help --usage --version\n"
-msgstr "options communes : --verbose --test --help --usage --version\n"
+msgstr "options courantes : --verbose --test --help --usage --version\n"
 
 #: ../alternatives.c:75
 #, c-format
@@ -333,7 +335,7 @@ msgstr "le lien ne pointe pas sur une al
 #: ../alternatives.c:338
 #, c-format
 msgid "link changed -- setting mode to manual\n"
-msgstr "lien changé -- passage en mode manuel\n"
+msgstr "lien modifié -- passage en mode manuel\n"
 
 #: ../alternatives.c:366 ../alternatives.c:373
 #, c-format
@@ -368,12 +370,12 @@ msgstr "impossible de créer %s : %s\n"
 #: ../alternatives.c:477
 #, c-format
 msgid "failed to replace %s with %s: %s\n"
-msgstr "Impossible de remplacer %s avec %s : %s\n"
+msgstr "impossible de remplacer %s avec %s : %s\n"
 
 #: ../alternatives.c:503 ../alternatives.c:512
 #, c-format
 msgid "running %s\n"
-msgstr "%s en cours d'exécution\n"
+msgstr "%s en cours\n"
 
 #: ../alternatives.c:539
 #, c-format
@@ -413,12 +415,12 @@ msgstr " esclave %s : %s\n"
 #: ../alternatives.c:675
 #, c-format
 msgid "Current `best' version is %s.\n"
-msgstr "La « meilleure » version courante est %s.\n"
+msgstr "La « meilleure » version actuelle est %s.\n"
 
 #: ../alternatives.c:705
 #, c-format
 msgid "There is %d program that provides '%s'.\n"
-msgstr "Il existe %d programmes qui fournissent %s.\n"
+msgstr "Il existe %d programmes qui fournissent « %s ».\n"
 
 #: ../alternatives.c:705
 #, c-format
@@ -434,8 +436,8 @@ msgstr "  Sélection    Commande\n"
 #, c-format
 msgid "Enter to keep the current selection[+], or type selection number: "
 msgstr ""
-"Entrez pour garder la sélection courante [+] ou saisissez le numéro de type "
-"de sélection :"
+"Appuyez sur la touche « Entrée » pour garder la sélection actuelle [+], "
+"ou saisissez le numéro de sélection : "
 
 #: ../alternatives.c:719
 #, c-format
@@ -464,12 +466,12 @@ msgstr "impossible de supprimer %s : %s
 #: ../alternatives.c:912
 #, c-format
 msgid "altdir %s invalid\n"
-msgstr "altdir %s invalide\n"
+msgstr "le répertoire altdir %s est invalide\n"
 
 #: ../alternatives.c:918
 #, c-format
 msgid "admindir %s invalid\n"
-msgstr "admindir %s invalide\n"
+msgstr "le répertoire admindir %s est invalide\n"
 
 #: ../alternatives.c:928
 #, c-format