--- comps-trad2.po	2007-12-16 01:05:44.000000000 +0100
+++ comps-trad3.po	2007-12-16 23:40:11.000000000 +0100
@@ -1,4 +1,4 @@
-# translation of comps-trad2.po to Français
+# translation of comps-trad3.po to Français
 # translation of fr.po to
 # This file is distributed under the same license as the PACKAGE package.
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER.
@@ -10,10 +10,10 @@
 # Thomas Canniot <mrtom@fedoraprojec.org>, 2007.
 msgid ""
 msgstr ""
-"Project-Id-Version: comps-trad2\n"
+"Project-Id-Version: comps-trad3\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2007-12-15 09:32-0700\n"
-"PO-Revision-Date: 2007-12-16 01:05+0100\n"
+"PO-Revision-Date: 2007-12-16 23:40+0100\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraprojec.org>\n"
 "Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -47,7 +47,7 @@
 #: ../comps-f8.xml.in.h:7 ../comps-f9.xml.in.h:7 ../comps-el4.xml.in.h:4
 #: ../comps-el5.xml.in.h:4
 msgid "Arabic Support"
-msgstr "Prise en charge de l'arabique"
+msgstr "Prise en charge de l'arabe"
 
 #: ../comps-fe5.xml.in.h:6 ../comps-fe6.xml.in.h:6 ../comps-f7.xml.in.h:8
 #: ../comps-f8.xml.in.h:8 ../comps-f9.xml.in.h:8 ../comps-el4.xml.in.h:5
@@ -416,7 +416,7 @@
 #: ../comps-f8.xml.in.h:166 ../comps-f9.xml.in.h:166 ../comps-el4.xml.in.h:58
 #: ../comps-el5.xml.in.h:56
 msgid "This group allows you to configure the system as a news server."
-msgstr "Ce groupe vous permet de configurer le système comme un serveur de news."
+msgstr "Ce groupe vous permet de configurer le système comme un serveur de groupes de nouvelles."
 
 #: ../comps-fe5.xml.in.h:61 ../comps-fe6.xml.in.h:59 ../comps-f7.xml.in.h:161
 #: ../comps-f8.xml.in.h:169 ../comps-f9.xml.in.h:169 ../comps-el4.xml.in.h:59
@@ -476,7 +476,7 @@
 msgid "This group is a collection of tools and resources of Arabic environments."
 msgstr ""
 "Ce groupe comprend un ensemble d'outils et de ressources pour les "
-"environnements arabes."
+"environnements en arabe."
 
 #: ../comps-fe5.xml.in.h:68 ../comps-fe6.xml.in.h:66 ../comps-f7.xml.in.h:166
 #: ../comps-f8.xml.in.h:174 ../comps-f9.xml.in.h:174 ../comps-el4.xml.in.h:66
@@ -484,29 +484,27 @@
 msgid "This group is a collection of tools and resources of Armenian environments."
 msgstr ""
 "Ce groupe comprend un ensemble d'outils et de ressources pour les "
-"environnements arméniens."
+"environnements en arménien."
 
 #: ../comps-fe5.xml.in.h:69 ../comps-fe6.xml.in.h:68 ../comps-el4.xml.in.h:67
 #: ../comps-el5.xml.in.h:66
 msgid "This group is a collection of tools and resources of Hebrew environments."
 msgstr ""
 "Ce groupe comprend un ensemble d'outils et de ressources pour les "
-"environnements hébraïques."
+"environnements en hébraïque."
 
 #: ../comps-fe5.xml.in.h:70 ../comps-fe6.xml.in.h:69 ../comps-el4.xml.in.h:68
 #: ../comps-el5.xml.in.h:67
 msgid "This group is a collection of tools and resources of Japanese environments."
 msgstr ""
 "Ce groupe comprend un ensemble d'outils et de ressources pour les "
-"environnements japonais."
+"environnements en japonais."
 
 #: ../comps-fe5.xml.in.h:71 ../comps-fe6.xml.in.h:70 ../comps-f7.xml.in.h:167
 #: ../comps-f8.xml.in.h:175 ../comps-f9.xml.in.h:175 ../comps-el4.xml.in.h:69
 #: ../comps-el5.xml.in.h:68
 msgid "This group is a collection of tools for various hardware specific utilities."
-msgstr ""
-"Ce groupe comprend un ensemble d'outils et de ressources pour les "
-"environnements arméniens."
+msgstr "Ce groupe comprend un ensemble d'outils pour du matériel spécifique."
 
 #: ../comps-fe5.xml.in.h:72 ../comps-fe6.xml.in.h:71 ../comps-f7.xml.in.h:168
 #: ../comps-f8.xml.in.h:176 ../comps-f9.xml.in.h:176 ../comps-el4.xml.in.h:70
@@ -572,7 +570,7 @@
 #: ../comps-fe6.xml.in.h:9 ../comps-f7.xml.in.h:28 ../comps-f8.xml.in.h:29
 #: ../comps-f9.xml.in.h:29 ../comps-el5.xml.in.h:8
 msgid "Czech Support"
-msgstr "Support du tchèque"
+msgstr "Prise en charge du tchèque"
 
 #: ../comps-fe6.xml.in.h:20 ../comps-f7.xml.in.h:48 ../comps-f8.xml.in.h:49
 #: ../comps-f9.xml.in.h:49 ../comps-el4.xml.in.h:18 ../comps-el5.xml.in.h:19
@@ -583,7 +581,7 @@
 msgid "This group is a collection of tools and resources of Czech environments."
 msgstr ""
 "Ce groupe comprend un ensemble d'outils et de ressources pour les "
-"environnements tchèques."
+"environnements en tchèque."
 
 #: ../comps-fe6.xml.in.h:72 ../comps-f7.xml.in.h:175 ../comps-f8.xml.in.h:183
 #: ../comps-f9.xml.in.h:183 ../comps-el4.xml.in.h:71 ../comps-el5.xml.in.h:70
@@ -592,7 +590,7 @@
 
 #: ../comps-f7.xml.in.h:3 ../comps-f8.xml.in.h:3 ../comps-f9.xml.in.h:3
 msgid "Afrikaans Support"
-msgstr "Prise en charge de l'afrikaan"
+msgstr "Prise en charge de l'afrikaans"
 
 #: ../comps-f7.xml.in.h:4 ../comps-f8.xml.in.h:4 ../comps-f9.xml.in.h:4
 msgid "Albanian Support"
@@ -604,7 +602,7 @@
 
 #: ../comps-f7.xml.in.h:9 ../comps-f8.xml.in.h:9 ../comps-f9.xml.in.h:9
 msgid "Assamese Support"
-msgstr "Prise en charge de l'assamese"
+msgstr "Prise en charge de l'assamais"
 
 #: ../comps-f7.xml.in.h:11 ../comps-f8.xml.in.h:11 ../comps-f9.xml.in.h:11
 msgid "Base"
@@ -624,7 +622,7 @@
 
 #: ../comps-f7.xml.in.h:16 ../comps-f8.xml.in.h:16 ../comps-f9.xml.in.h:16
 msgid "Bengali Support"
-msgstr "Prise en charge du bengali"
+msgstr "Prise en charge du bengalî"
 
 #: ../comps-f7.xml.in.h:17 ../comps-f8.xml.in.h:17 ../comps-f9.xml.in.h:17
 msgid "Bhutanese Support"
@@ -636,7 +634,7 @@
 
 #: ../comps-f7.xml.in.h:19 ../comps-f8.xml.in.h:19 ../comps-f9.xml.in.h:19
 msgid "Brazilian Portuguese Support"
-msgstr "Support du portugais brésilien"
+msgstr "Prise en charge du portugais brésilien"
 
 #: ../comps-f7.xml.in.h:20 ../comps-f8.xml.in.h:20 ../comps-f9.xml.in.h:20
 msgid "Breton Support"
@@ -660,7 +658,7 @@
 
 #: ../comps-f7.xml.in.h:25 ../comps-f8.xml.in.h:26 ../comps-f9.xml.in.h:26
 msgid "Clustering Support"
-msgstr "Support du clustering"
+msgstr "Prise en charge du clustering"
 
 #: ../comps-f7.xml.in.h:26 ../comps-f8.xml.in.h:27 ../comps-f9.xml.in.h:27
 msgid "Core"
@@ -712,7 +710,7 @@
 
 #: ../comps-f7.xml.in.h:49 ../comps-f8.xml.in.h:50 ../comps-f9.xml.in.h:50
 msgid "Filipino Support"
-msgstr "Support du pilipino"
+msgstr "Prise en charge du pilipino"
 
 #: ../comps-f7.xml.in.h:50 ../comps-f8.xml.in.h:51 ../comps-f9.xml.in.h:51
 msgid "Finnish Support"
@@ -753,7 +751,7 @@
 
 #: ../comps-f7.xml.in.h:64 ../comps-f8.xml.in.h:67 ../comps-f9.xml.in.h:67
 msgid "Gujarati Support"
-msgstr "Prise en charge du gujrati"
+msgstr "Prise en charge du gujarâtî"
 
 #: ../comps-f7.xml.in.h:67 ../comps-f8.xml.in.h:70 ../comps-f9.xml.in.h:70
 msgid "Hindi Support"
@@ -844,7 +842,7 @@
 
 #: ../comps-f7.xml.in.h:97 ../comps-f8.xml.in.h:103 ../comps-f9.xml.in.h:103
 msgid "Malayalam Support"
-msgstr "Prise en charge du malayalam"
+msgstr "Prise en charge du malayâlam"
 
 #: ../comps-f7.xml.in.h:98 ../comps-f8.xml.in.h:104 ../comps-f9.xml.in.h:104
 msgid "Maori Support"
@@ -888,11 +886,11 @@
 
 #: ../comps-f7.xml.in.h:112 ../comps-f8.xml.in.h:121 ../comps-f9.xml.in.h:121
 msgid "Printing Support"
-msgstr "Support de l'impression"
+msgstr "Prise en charge de l'impression"
 
 #: ../comps-f7.xml.in.h:113 ../comps-f8.xml.in.h:122 ../comps-f9.xml.in.h:122
 msgid "Punjabi Support"
-msgstr "Prise en charge du punjabi"
+msgstr "Prise en charge du punjâbî"
 
 #: ../comps-f7.xml.in.h:114 ../comps-f8.xml.in.h:123 ../comps-f9.xml.in.h:123
 msgid "Romanian Support"
@@ -948,7 +946,7 @@
 
 #: ../comps-f7.xml.in.h:130 ../comps-f8.xml.in.h:139 ../comps-f9.xml.in.h:139
 msgid "Southern Ndebele Support"
-msgstr "Prise en charge du ndebele du sud"
+msgstr "Prise en charge du ndébélé du sud"
 
 #: ../comps-f7.xml.in.h:131 ../comps-f8.xml.in.h:140 ../comps-f9.xml.in.h:140
 msgid "Southern Sotho Support"
@@ -976,15 +974,15 @@
 
 #: ../comps-f7.xml.in.h:140 ../comps-f8.xml.in.h:149 ../comps-f9.xml.in.h:149
 msgid "Telugu Support"
-msgstr "Prise en charge du tegulu"
+msgstr "Prise en charge du tégoulou"
 
 #: ../comps-f7.xml.in.h:142 ../comps-f8.xml.in.h:151 ../comps-f9.xml.in.h:151
 msgid "Thai Support"
-msgstr "Prise en charge du thai"
+msgstr "Prise en charge du thaï"
 
 #: ../comps-f7.xml.in.h:143
 msgid "The Eclipse Integrated Development Environment."
-msgstr "Les environnements de développement intégrés à Eclipse"
+msgstr "L'environnement de développement intégré Eclipse."
 
 #: ../comps-f7.xml.in.h:145 ../comps-f8.xml.in.h:153 ../comps-f9.xml.in.h:153
 msgid "The packages in this group are core libraries needed to develop applications."
@@ -1100,7 +1098,7 @@
 
 #: ../comps-f7.xml.in.h:180 ../comps-f8.xml.in.h:188 ../comps-f9.xml.in.h:188
 msgid "Urdu Support"
-msgstr "Prise en charge de l'ourdu"
+msgstr "Prise en charge de l'ourdou"
 
 #: ../comps-f7.xml.in.h:183 ../comps-f8.xml.in.h:191 ../comps-f9.xml.in.h:191
 msgid "Venda Support"
@@ -1108,7 +1106,7 @@
 
 #: ../comps-f7.xml.in.h:184 ../comps-f8.xml.in.h:192 ../comps-f9.xml.in.h:192
 msgid "Vietnamese Support"
-msgstr "Prise en charge du viétnamien"
+msgstr "Prise en charge du vietnamien"
 
 #: ../comps-f7.xml.in.h:185 ../comps-f8.xml.in.h:193 ../comps-f9.xml.in.h:193
 msgid "Virtualization"
@@ -1116,7 +1114,7 @@
 
 #: ../comps-f7.xml.in.h:188 ../comps-f8.xml.in.h:196 ../comps-f9.xml.in.h:196
 msgid "Welsh Support"
-msgstr "Prise en charge du galois"
+msgstr "Prise en charge du gallois"
 
 #: ../comps-f7.xml.in.h:190 ../comps-f8.xml.in.h:198 ../comps-f9.xml.in.h:198
 msgid "Windows File Server"
@@ -1152,7 +1150,7 @@
 
 #: ../comps-f8.xml.in.h:79 ../comps-f9.xml.in.h:79
 msgid "Integrated Development Environments based on Eclipse."
-msgstr "Les environnements de développement intégré basé sur Eclipse."
+msgstr "Les environnements de développement intégrés basés sur Eclipse."
 
 #: ../comps-f8.xml.in.h:95 ../comps-f9.xml.in.h:95
 msgid "Legacy Fonts"
@@ -1164,7 +1162,7 @@
 
 #: ../comps-f8.xml.in.h:106 ../comps-f9.xml.in.h:106
 msgid "Mongolian Support"
-msgstr "Prise en charge du mongolien"
+msgstr "Prise en charge du mongol"
 
 #: ../comps-f8.xml.in.h:108 ../comps-f9.xml.in.h:108
 msgid "Nepali Support"